Bug 1251387 - DNF hangs when upgrading f22 to rawhide
DNF hangs when upgrading f22 to rawhide
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: dnf (Show other bugs)
24
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: packaging-team-maint
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-07 04:03 EDT by Marius Vollmer
Modified: 2016-04-04 10:25 EDT (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-04-04 10:25:30 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Reproducer (2.77 KB, application/x-shellscript)
2015-08-07 04:03 EDT, Marius Vollmer
no flags Details
dnf.log (121.24 KB, text/plain)
2015-08-25 04:32 EDT, Marius Vollmer
no flags Details
dnf.rpm.log (49.18 KB, text/plain)
2015-08-25 04:32 EDT, Marius Vollmer
no flags Details

  None (edit)
Description Marius Vollmer 2015-08-07 04:03:30 EDT
Created attachment 1060259 [details]
Reproducer

The attached script creates a Fedora 22 virtual machine and then upgrades that machine to Rawhide.  (The setup script is from the Cockpit testsuite, so it also does some other probably irrelevant things like creating users.)

Along the way, DNF hangs.  The last output was this in one case, for example:

[  603.110750] firstboot.sh[406]: Cleanup     : libsemanage-2.3-6.fc22.x86_64                           451/535
[  603.441738] firstboot.sh[406]: Cleanup     : acl-2.2.52-7.fc22.x86_64                                452/535
[  603.822056] firstboot.sh[406]: Cleanup     : diffutils-3.3-9.fc22.x86_64                             453/535
[  604.200543] firstboot.sh[406]: Cleanup     : make-1:4.0-3.1.fc22.x86_64                              454/535
Starting dnf makecache...
[  604.544294] firstboot.sh[406]: Cleanup     : fipscheck-lib-1.4.1-7.fc22.x86_64                       455/535
[  604.889884] firstboot.sh[406]: Cleanup     : fipscheck-1.4.1-7.fc22.x86_64                           456/535
[  605.602480] firstboot.sh[406]: Cleanup     : libedit-3.1-12.20150325cvs.fc22.x86_64                  457/535
[  605.875906] firstboot.sh[406]: Cleanup     : libxkbcommon-0.5.0-1.fc22.x86_64                        458/535
[  606.131656] firstboot.sh[406]: Cleanup     : dtc-1.4.1-2.fc22.x86_64                                 459/535
[  606.374125] firstboot.sh[406]: Cleanup     : cracklib-dicts-2.9.1-5.fc22.x86_64                      460/535
[  606.810976] firstboot.sh[406]: Cleanup     : cracklib-2.9.1-5.fc22.x86_64                            461/535
[  607.133663] firstboot.sh[406]: Cleanup     : gzip-1.6-6.fc22.x86_64                                  462/535
[  607.440562] firstboot.sh[406]: Cleanup     : ca-certificates-2015.2.4-1.0.fc22.noarch                463/535
[  607.718825] firstboot.sh[406]: Cleanup     : crypto-policies-20150305-2.git44afaa1.fc22.noarch       464/535
[  608.082626] firstboot.sh[406]: Cleanup     : krb5-libs-1.13.1-3.fc22.x86_64                          465/535
[  608.566471] firstboot.sh[406]: Cleanup     : coreutils-8.23-9.fc22.x86_64                            466/535
[  OK  ] Started dnf makecache.

"dnf makecache" is always started close to the hang.

You should be able to log into the VM as root with password foobar and examine the hang right there.
Comment 1 Honza Silhan 2015-08-11 10:23:27 EDT
Thanks for the report. We'll try to reproduce it.
Comment 2 Honza Silhan 2015-08-11 10:26:01 EDT
Can you upload the /var/log/dnf.log and /var/log/dnf.rpm.log, please? (if you already have them)
Comment 3 Marius Vollmer 2015-08-12 03:37:37 EDT
(In reply to Jan Silhan from comment #2)
> Can you upload the /var/log/dnf.log and /var/log/dnf.rpm.log, please? (if
> you already have them)

The idea is that you run the reproducer script to get all the information that you need. :-)

I just ran it again, and now it ends like this:

[  153.993020] firstboot.sh[409]: + dnf -y upgrade
[  232.837579] firstboot.sh[409]: Last metadata expiration check performed 0:00:20 ago on Wed Aug 12 03:26:26 2015.
[  237.533123] firstboot.sh[409]: Dependencies resolved.
[  237.568847] firstboot.sh[409]: Traceback (most recent call last):
[  237.570133] firstboot.sh[409]: File "/usr/bin/dnf", line 35, in <module>
[  237.571053] firstboot.sh[409]: main.user_main(sys.argv[1:], exit_code=True)
[  237.571943] firstboot.sh[409]: File "/usr/lib/python3.4/site-packages/dnf/cli/main.py", line 193, in user_main
[  237.576142] firstboot.sh[409]: errcode = main(args)
[  237.576929] firstboot.sh[409]: File "/usr/lib/python3.4/site-packages/dnf/cli/main.py", line 84, in main
[  237.578025] firstboot.sh[409]: return _main(base, args)
[  237.578794] firstboot.sh[409]: File "/usr/lib/python3.4/site-packages/dnf/cli/main.py", line 146, in _main
[  237.582947] firstboot.sh[409]: ret = resolving(cli, base)
[  237.583736] firstboot.sh[409]: File "/usr/lib/python3.4/site-packages/dnf/cli/main.py", line 168, in resolving
[  237.584847] firstboot.sh[409]: base.do_transaction(display=displays)
[  237.588776] firstboot.sh[409]: File "/usr/lib/python3.4/site-packages/dnf/cli/cli.py", line 165, in do_transaction
[  237.590015] firstboot.sh[409]: pkg_str = self.output.list_transaction(trans)
[  237.590905] firstboot.sh[409]: File "/usr/lib/python3.4/site-packages/dnf/cli/output.py", line 1024, in list_transaction
[  237.592104] firstboot.sh[409]: for pkg in self._skipped_broken_deps(skipped_conflicts):
[  237.593068] firstboot.sh[409]: File "/usr/lib/python3.4/site-packages/dnf/cli/output.py", line 947, in _skipped_broken_deps
[  237.597528] firstboot.sh[409]: goal_diff -= skipped_conflicts
[  237.598655] firstboot.sh[409]: TypeError: unsupported operand type(s) for -=: 'set' and 'map'

I file a separate bug for that and I'll try again from time to time to see whether DNF hangs.
Comment 4 Marius Vollmer 2015-08-25 04:32:10 EDT
Created attachment 1066778 [details]
dnf.log
Comment 5 Marius Vollmer 2015-08-25 04:32:42 EDT
Created attachment 1066780 [details]
dnf.rpm.log
Comment 6 Marius Vollmer 2015-08-25 04:33:14 EDT
The original bug is again reproducible.
Comment 7 Marius Vollmer 2015-09-15 07:43:21 EDT
This doesn't seem to happen anymore.
Comment 8 Jan Kurik 2016-02-24 08:35:46 EST
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase
Comment 9 Igor Gnatenko 2016-04-04 10:25:30 EDT
(In reply to Marius Vollmer from comment #7)
> This doesn't seem to happen anymore.

If anyone will be able to reproduce it - feel free to re-open this bug.

Note You need to log in before you can comment on or make changes to this bug.